Skip to content

Update Persona

PATCH
/personas/{persona_id}

Update a Studio persona’s fields and/or status (partial update).

Send at least one field. Passing status='archived' is equivalent to POST /personas/{persona_id}/archive. Returns 400 if no field is provided, 404 if the persona does not exist in this org.

Authorizations

Parameters

Path Parameters

persona_id
required

Persona ID (UUID)

string

Persona ID (UUID)

Header Parameters

X-Target-Org-Id
Any of:
string

Request Body required

Body for PATCH /personas/{persona_id}. Partial - send only fields to change.

At least one field must be present. Passing status=‘archived’ is equivalent to calling POST /personas/{persona_id}/archive.

object
campaign_approach
Any of:
string
confidence
Any of:
string
expected_receptivity
Any of:
string
key_signals
Any of:
Array
priority
Any of:
integer
recommended_goal
Any of:
string
status
Any of:
string
title
Any of:
string
why_target
Any of:
string

Responses

200

Successful Response

object
data
required
object
key
additional properties
any
pagination
Any of:
object
has_next
required

Whether there are more pages

boolean
limit
required

Items per page

integer
next_cursor
Any of:
string
page
required

Current page number (1-indexed)

integer
total
required

Total number of items

integer

422

Validation Error

object
detail
Array<object>
object
loc
required
Array
msg
required
string
type
required
string